Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163017 - Crash linking with libGLw
Summary: Crash linking with libGLw
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: David Lawrence
URL:
Whiteboard:
: 161528 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 09:50 UTC by Wayne Price
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-26 19:10:09 UTC


Attachments (Terms of Use)
Sample code demonstrating problem (deleted)
2005-07-12 09:50 UTC, Wayne Price
no flags Details

Description Wayne Price 2005-07-12 09:50:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050328 Fedora/1.7.6-1.2.5

Description of problem:
Trying to port an OpenMotif/OpenGL application to the x86_64 architecture has thrown up a problem with libGLw. There appears to be something badly wrong internally with this library, such that just linking with it (not even using it) causes an immediate crash.

If compiled with the following
  g++ -g motiftest.cpp -o motiftest -L/usr/X11R6/lib64 -lGL -lXm -lXmu -lXt -lX11
then the sample code runs perfectly.

If compiled with libGLW, e.g.
  g++ -g motiftest.cpp -o motiftest -L/usr/X11R6/lib64 -lGLw -lGL -lXm -lXmu -lXt -lX11
then the sample code crashed within the XtVaCreateManagedWidget call.

Version-Release number of selected component (if applicable):
xorg-x11-devel-6.8.2-37 openmotif-devel-2.2.3-10 openmotif-2.2.3-10

How reproducible:
Always

Steps to Reproduce:
1. Compile with g++ -g motiftest.cpp -o motiftest -L/usr/X11R6/lib64 -lGLw -lGL -lXm -lXmu -lXt -lX11
2. Run ./motiftest
  

Actual Results:  Application core-dumps within the internals of Xt.

Expected Results:  It should have created the widget and continued.

Additional info:

Comment 1 Wayne Price 2005-07-12 09:50:50 UTC
Created attachment 116640 [details]
Sample code demonstrating problem

Comment 2 Wayne Price 2005-07-12 10:15:54 UTC
Same problem occurs on i386. The code works fine using FC2 and FC3.

Comment 3 Mike A. Harris 2005-08-30 12:35:27 UTC
Yes, openmotif includes a bundled version of libGLw which they have modified
in an incompatible way to the "official" libGLw which ships with X.Org. I
believe there have been updates released to address this openmotif bug.

Reassigning to openmotif component...

Comment 4 Thomas Woerner 2005-09-07 15:38:31 UTC
Nope, libGLw includes copies of openmotif headers.
Assigning back to xorg-x11.

Comment 5 Mike A. Harris 2005-09-14 06:13:42 UTC
*** Bug 161528 has been marked as a duplicate of this bug. ***

Comment 6 Mike A. Harris 2005-09-14 06:16:39 UTC
Adding to FC5Target for review.

Comment 7 Scott A. Friedman 2005-10-24 19:08:46 UTC
Has anyone identified what the actual problem is? 

Does you last comment mean that this will not be fixed for FC4?

Comment 8 Mike A. Harris 2006-06-14 22:30:54 UTC
(In reply to comment #7)
> Has anyone identified what the actual problem is?

Yes, see comment #4 above.

> Does you last comment mean that this will not be fixed for FC4?

It doesn't mean that, but in reality, that is probably true nonetheless.

Ultimately, what we'd like to do, is have libGLw and libGLU split out
of Mesa sources, as they really should be standalone rpm packages.  Then,
we'd like to push at least libGLw to Fedora Extras, as nothing in the
distribution uses it now.

In the mean time, what is needed, is for someone to investigate the
libGLw build, remove the private openmotif headers, and restructure
the Makefiles or whatever to use the installed systemwide motif
headers instead.  Then to produce a patch, test it, and commit it
to CVS.  From there it will go into rawhide for a while to be
tested, and then theoretically make it into future FC5 and FC4
updates.

However, it is currently a low priority issue right now.  It'll get
fixed eventually, but wether FC4 is still maintained or not by then
is another question.  If someone cares strongly about the issue and
is interested in doing the legwork and attaches a patch that fixes
the problem however, that would seriously speed up the likelyhood
of this getting fixed in FC5 and FC4 sooner.

There's just too much going on in rawhide right now, and over 200
open bugs in bugzilla against X components, so unfortunately, many
issues will sit around for a while based on priority and other
factors.

Patches certainly welcome though, thanks for asking.  ;)

Comment 9 Kevin E. Martin 2006-08-18 17:46:56 UTC
Changing component to Mesa.
Need to verify that this is still happening with the latest libGLw.


Comment 10 Christian Iseli 2007-01-22 11:11:31 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 11 Adam Jackson 2007-05-26 19:10:09 UTC
Mass closure: This bug has been in NEEDINFO for over six weeks with no
additional information provided, and is therefore being closed.  If this bug is
still an issue for you, please supply the requested information, and reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.